<?php
namespace PrestaShop\Module\PolarisPrestaConnector;

use PolarisPrestaConnector;

class Upgrade_8_0_4 {    
    /**
     * Déclenche la mise à jour de la base de données du module
     */
    public function upgrade(PolarisPrestaConnector $module, $db)
    {          
          // On ajoute à la table une colonne JSON pour stocker les informations étendues des produits
          if (!$db->execute('ALTER TABLE `' . $module->TblPrefix . 'product` ADD `backoffice_ext_props` JSON NOT NULL DEFAULT \'null\';'))
               throw new \Exception('Erreur lors de l\'ajout de la colonne backoffice_ext_props à la table product');
    }
}